0
$\begingroup$

I'm trying to install the ds4_driver for my ROS Project. I was following the tutorial from http://wiki.ros.org/ds4_driver.

In the end, I can't use catkin_make and I'm getting this error:

CMake Error at /opt/ros/noetic/share/catkin/cmake/catkin_workspace.cmake:100 (message):
  This workspace contains non-catkin packages in it, and catkin cannot build
  a non-homogeneous workspace without isolation.  Try the
  'catkin_make_isolated' command instead.
Call Stack (most recent call first):
  CMakeLists.txt:69 (catkin_workspace)


-- Configuring incomplete, errors occurred!
See also "/home/coolermann/catkin_ws/build/CMakeFiles/CMakeOutput.log".
See also "/home/coolermann/catkin_ws/build/CMakeFiles/CMakeError.log".
make: *** [Makefile:530: cmake_check_build_system] Error 1
Invoking "make cmake_check_build_system" failed

Same goes with using catkin_make_isolated.

I googled and asked ChatGPT and it informed me, that the package is for ROS2.

Since I can't really find an installation for ROS1 and in the wiki it says, that it's for both ROS1 and ROS2, I'm asking here instead. Do you know where/how I can install the ds4_driver?

$\endgroup$
1
  • $\begingroup$ Did you change the branch to noetic-devel?? $\endgroup$
    – nitish
    Feb 26 at 17:31

0

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Browse other questions tagged or ask your own question.